Passer au contenu principal
DELETE
/
automation
/
v4
/
actions
/
{appId}
/
{definitionId}
/
functions
/
{functionType}
/
{functionId}
Archivez une fonction pour une définition
curl --request DELETE \
  --url https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions/{functionType}/{functionId} \
  --header 'Authorization: Bearer <token>'
This response has no body data.

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

appId
integer<int32>
requis

L’ID de l’application associée à l’action de workflow personnalisée.

definitionId
string
requis

L'ID de la définition d'action de workflow personnalisée.

functionId
string
requis

L'ID de la fonction spécifique au sein de la définition de l'action de workflow.

functionType
enum<string>
requis

Le type de fonction, les valeurs acceptées sont : POST_ACTION_EXECUTION, POST_FETCH_OPTIONS, PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS.

Options disponibles:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS

Réponse

Dernière modification le 13 avril 2026